# Code adapted from DCWorkflow/Scripts

from OFS.Folder import Folder
from Globals import InitializeClass
from AccessControl import ClassSecurityInfo
from Products.CMFCore.CMFCorePermissions import ManagePortal
from Products.DCWorkflow.ContainerTab import ContainerTab


class Tasks (ContainerTab):

    meta_type = 'Maintenance Tasks'

    security = ClassSecurityInfo()
    security.declareObjectProtected(ManagePortal)

    def manage_main(self, client=None, REQUEST=None, **kw):
        '''
        '''
        kw['management_view'] = 'Tasks'
        m = Folder.manage_main.__of__(self)
        return m(self, client, REQUEST, **kw)

    def all_meta_types(self):
        return (
            {'name': 'MaintenanceTask',
             'action': 'manage_addProduct/PloneMaintenance/manage_addContentForm',
             'permission': ManagePortal },)


InitializeClass(Tasks)
