##############################################################################
#
# Copyright (c) 2002 Ingeniweb SARL
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
#
##############################################################################

"""PloneMaintenance"""
import AccessControl.Permissions
import MaintenanceTask
import PloneMaintenanceTool

from Products.CMFCore.utils import registerIcon
import Tasks, Scripts


from global_symbols import *

from AccessControl.Permissions import *

from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore import utils, CMFCorePermissions

registerDirectory('skins', globals())
registerDirectory('skins/PloneMaintenance', globals())

install_globals = globals()          # Used only in the Extensions/Install.py script

# Classes & constructors declaration
contentClasses = (MaintenanceTask.MaintenanceTask, )
contentConstructors = (MaintenanceTask.addMaintenanceTask, )

# Initialization method
def initialize(context):

    utils.ContentInit(
        'MaintenanceTask',
        content_types = contentClasses,
        permission = CMFCorePermissions.ManagePortal,
        extra_constructors = contentConstructors,
        fti = (MaintenanceTask.factory_type_information,),
        ).initialize(context)

    context.registerClass(
        PloneMaintenanceTool.PloneMaintenanceTool,
        meta_type="PloneMaintenance Tool",
        constructors=(PloneMaintenanceTool.addPloneMaintenanceTool,),
        icon = 'tool.gif')

    registerIcon(Tasks.Tasks,
                 'images/task.gif', globals())

    registerIcon(Scripts.Scripts,
                 'images/script.gif', globals())

